Subject: bug#11558: 24.1.50; Image Magick related build failure on bzr revision 108365

From: Tassilo Horn <[email-masked]>
Date: Fri, 13 Jul 2012 09:03:00 +0200

Jan Djärv <[email-masked]> writes:

>> I got the build to complete by introducing the following change:
>> 
>> --- src/image.c	2012-07-09 12:02:27 +0000
>> +++ src/image.c	2012-07-11 19:59:24 +0000
>> @@ -7968,7 +7968,9 @@
>>   Lisp_Object typelist = Qnil;
>>   size_t numf = 0;
>>   ExceptionInfo ex;
>> +  GetExceptionInfo(&ex);
>>   char **imtypes = GetMagickList ("*", &numf, &ex);
>> +  DestroyExceptionInfo(&ex);
>>   size_t i;
>>   Lisp_Object Qimagemagicktype;
>>   for (i = 0; i < numf; i++)
>> 
>> 
>> The generated emacs-binary at least appears to function properly. I
>> tested this with the following versions:
>> 
>> emacs: bzr:109033
>> gcc: 4.7.1
>> ImageMagick: 6.7.8-1
>
> I see this too.  Can it be that GetExceptionInfo/DestroyExceptionInfo
> is version dependent and we need a configure check for them? People
> have run Emacs with Imagemagic without this.

I build and run emacs with imagemagick support just fine.  The IM
version is 6.7.7.5, so it might be a version difference between 6.7.7
and 6.7.8.

I also tried building and running with the above patch, and it doesn't
seem to cause any harm.

Bye,
Tassilo